      Subroutine time_step(V,dt,xloc,yloc,lmax,mx,my)
      Implicit none
      Integer lmax,mx,my
      Real V(lmax,mx+1,my+1)
      Real xloc(mx,my+1),yloc(mx,my+1)
      Real  dt(mx,my+1)
      Real cfl
      Integer i,j,l
!HPF$ PROCESSORS PROC(NUMBER_OF_PROCESSORS())
!HPF$ DISTRIBUTE  V *(*,*,BLOCK) onto *PROC
!HPF$ ALIGN (*,:) with *V(*,*,:) :: xloc,yloc,dt
      
      Forall(i=1:mx,j=1:my) 
	dt(i,j)=1.2e-2
	End Forall
	  End subroutine

